Snmp.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2009 Raritan Inc. All rights reserved.
*/
#include <Event.idl>
/**
* Device Settings
*/
module devsettings {
/** SNMP agent settings interface */
interface Snmp_1_0_2 {
constant int ERR_INVALID_PARAMS = 1; ///< Invalid parameters
/** SNMP agent configuration */
structure Configuration {
boolean v2enable; ///< SNMP v1 / 2c enabled
boolean v3enable; ///< SNMP v3 enabled
string readComm; ///< read community string
string writeComm; ///< write community string
string sysContact; ///< system contact
string sysName; ///< system name
string sysLocation; ///< system location
};
valueobject ConfigurationChangedEvent extends idl.Event {
string userName; ///< user who triggered event
string ipAddr; ///< ip or device on which user is logged in
Configuration oldConfig; ///< old configuration
Configuration newConfig; ///< new configuration
};
/**
* Retrieve the SNMP agent configuration.
*
* @return SNMP agent configuration
*/
Configuration getConfiguration();
/**
* Set the SNMP agent configuration.
*
* @param cfg New SNMP agent settings
*
* @return 0 if OK
* @return 1 if any parameters are invalid
*/
int setConfiguration(in Configuration cfg);
/**
* Retrieve the SNMP V3 Engine ID.
*
* @return SNMP V3 Engine ID
*/
string getV3EngineId();
};
}
devsettings::Snmp_1_0_2::Configuration::readComm
string readComm
read community string
Definition: Snmp.idl:22
devsettings::Snmp_1_0_2::Configuration::sysName
string sysName
system name
Definition: Snmp.idl:25
devsettings::Snmp_1_0_2::Configuration::v3enable
boolean v3enable
SNMP v3 enabled.
Definition: Snmp.idl:21
devsettings::Snmp_1_0_2
SNMP agent settings interface.
Definition: Snmp.idl:14
devsettings::Snmp_1_0_2::Configuration::sysContact
string sysContact
system contact
Definition: Snmp.idl:24
idl
Basic IDL definitions.
Definition: Event.idl:10
devsettings
Device Settings.
Definition: Modbus.idl:9
devsettings::Snmp_1_0_2::oldConfig
Configuration oldConfig
old configuration
Definition: Snmp.idl:32
devsettings::Snmp_1_0_2::Configuration::writeComm
string writeComm
write community string
Definition: Snmp.idl:23
devsettings::Snmp_1_0_2::ipAddr
string ipAddr
ip or device on which user is logged in
Definition: Snmp.idl:31
devsettings::Snmp_1_0_2::newConfig
Configuration newConfig
new configuration
Definition: Snmp.idl:33
devsettings::Snmp_1_0_2::Configuration
SNMP agent configuration.
Definition: Snmp.idl:19
devsettings::Snmp_1_0_2::Configuration::sysLocation
string sysLocation
system location
Definition: Snmp.idl:26
devsettings::Snmp_1_0_2::Configuration::v2enable
boolean v2enable
SNMP v1 / 2c enabled.
Definition: Snmp.idl:20